package com.livro.capitulo3.crudannotations;

import java.sql.Date;

public class TesteCrudAnnotations {
	
	public static void main(String[] args) {
		ContatoCrudAnnotations contatoCrudAnnotstions = new ContatoCrudAnnotations();
		String[] nomes = {"Fulano", "Beltrano", "Ciclano"};
		String[] fones = {"(47) 2222-1111", "(47) 7777-5555", "(47) 9090-2525"};
		String[] emails = {"fulano@teste.com.br", "beltrano@teste.com.br", "ciclano@teste.com.br"};
		String[] observacoes = {"Novo cliente", "Cliente em dia", "Ligar na quinta"};
		ContatoAnnotations contato = null;
		
		for (int i = 0; i < nomes.length; i++) {
			contato = new ContatoAnnotations();
			contato.setNome(nomes[i]);
			contato.setTelefone(fones[i]);
			contato.setEmail(emails[i]);
			contato.setDataCadastro(new Date(System.currentTimeMillis()));
			contato.setObservacao(observacoes[i]);
			contatoCrudAnnotstions.salvar(contato);
		}
		System.out.println("Total de registros cadastrados: " + contatoCrudAnnotstions.listar().size());
		System.out.println("Busca: " + contatoCrudAnnotstions.buscar(2).getNome());
	}

}
