package com.livro.capitulo3.cadastro;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import com.livro.capitulo3.categoria.Categoria;
import com.livro.capitulo3.categoria.CategoriaDAO;
import com.livro.capitulo3.produto.Produto;
import com.livro.capitulo3.produto.ProdutoDAO;


public class Cadastro {
	
	public void cadastrarProdutos(){
		String[] desc = {"des1", "des2", "desc3"};
		Double[] prec = {1.9, 2.9, 3.9};
		ProdutoDAO pDAO = new ProdutoDAO();
		
		for (int i = 0; i < 3; i++) {
			Produto p = new Produto();
			p.setDescricao(desc[i]);
			p.setPreco(prec[i]);
			pDAO.salvar(p);
		}
		System.out.println("produtos cadastrados com sucesso");
	}
	
	
	
	public void cadastrarCategoria(){
		String[] desc = {"cat1", "cat2"};
		CategoriaDAO cDao = new CategoriaDAO();
		Categoria c = null;
		ProdutoDAO pDAO = new ProdutoDAO();
		Set<Produto> produtos = new HashSet<Produto>();
		List<Produto> listaProdutos = pDAO.listar();
		
		for (int i = 0; i < listaProdutos.size(); i++) {
			produtos.add(listaProdutos.get(i));
		}

		for (int i = 0; i < 2; i++) {
			c=  new Categoria();
			c.setDescricao(desc[i]);		
			c.setProdutos(produtos);			
			cDao.salvar(c);
		}
		System.out.println("categorias cadastradas com sucesso");
	}
	
	
	
	public static void main(String[] args) {
		
		Cadastro c = new Cadastro();
		c.cadastrarProdutos();
		c.cadastrarCategoria();
		System.out.println("sucesso.");
	}

}
