import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;


public class ConectaMysql{

	  
	private static Connection connect;  
	private static ConectaMysql instance;  
	  
	private ConectaMysql(){     
	    try {  
	        Class.forName("com.mysql.jdbc.Driver");  	       
	        connect = DriverManager.getConnection("jdbc:mysql://localhost/agenda","root","admin");  
	        System.out.println("Conectado");
	    }  
	    catch(SQLException e)  {  
	        System.err.println(e.getMessage());  
	    }  
	    catch(ClassNotFoundException e)  {  
	        System.err.println(e.getMessage());  	          
	    }        
	} 

	public static Connection getInstance()    {  
	    if(instance == null) {
	        instance = new ConectaMysql();  
	    }  
	    return instance.connect;  
	 }  



	 public static void main(String[] args) {
	 	ConectaMysql.getInstance();
	 }




}