package financeiro.usuario;

import java.util.List;

public interface UsuarioDAO {
	
	public void salvar(Usuario u);
	
	public void atualizar(Usuario u);
	
	public void excluir(Usuario u);
	
	public List<Usuario> listar();
	
	public Usuario carregar(Integer id);
	
	public Usuario buscarPorLogin(String login);

}
