package financeiro.util;

import financeiro.conta.ContaDAO;
import financeiro.conta.ContaDAOHibernate;
import financeiro.usuario.UsuarioDAO;
import financeiro.usuario.UsuarioDAOHibernate;

public class DAOFactory {

	public static UsuarioDAO criaUsuarioDAO(){
		UsuarioDAOHibernate usuarioDAO = new UsuarioDAOHibernate();
		usuarioDAO.setSessao(HibernateUtil.getSessionFactory().getCurrentSession());
		return usuarioDAO;
	}
	
	
	public static ContaDAO criarContaDAO(){
		ContaDAOHibernate contaDao = new ContaDAOHibernate();
		contaDao.setSessao(HibernateUtil.getSessionFactory().getCurrentSession());
		return contaDao;
		
	}
	
}
